Package de.tudresden.sumo.subscription

## Class SubscriptionObject

- java.lang.Object
- - de.tudresden.sumo.subscription.SubscriptionObject

-     public class SubscriptionObject
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `domain` |
    `String` | `id` |
    `String` | `name` |
    `SumoObject` | `object` |
    `ResponseType` | `response` |
    `int` | `return_type` |
    `int` | `status` |
    `int` | `variable` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubscriptionObject​(String id, ResponseType response, int variable, int status, int return_type, SumoObject object)` |
    `SubscriptionObject​(String id, ResponseType response, int domain, String name, int variable, int status, int return_type, SumoObject object)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### response

          public ResponseType response

    - #### domain

          public int domain

    - #### name

          public String name

    - #### variable

          public int variable

    - #### status

          public int status

    - #### return_type

          public int return_type

    - #### object

          public SumoObject object

  - ### Constructor Detail

    - #### SubscriptionObject

          public SubscriptionObject​(String id,
                                    ResponseType response,
                                    int domain,
                                    String name,
                                    int variable,
                                    int status,
                                    int return_type,
                                    SumoObject object)

    - #### SubscriptionObject

          public SubscriptionObject​(String id,
                                    ResponseType response,
                                    int variable,
                                    int status,
                                    int return_type,
                                    SumoObject object)